using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HaloPlugins.Xbox
{
    public class ctrl : TagDefinition
    {
       public ctrl() : base("ctrl", "control", 320)
       {
           // Devi
           Fields.AddRange(new devi().Fields.ToArray());

           // Ctrl
           Fields.AddRange(new IMetaNode[] {
           new HaloPlugins.Enum("Type", new string[] { "Toggle_Switch", "On_Button", "Off_Button", "Call_Button" }, 16),
           new HaloPlugins.Enum("Triggers When", new string[] { "Touched_By_Player", "Destroyed" }, 16),
           new Value("Call Value", typeof(float)),
           new StringId("Action String"),
           new TagReference("On", "****"),
           new TagReference("Off", "****"),
           new TagReference("Deny", "****"),
           });
       }
    }
}
